Bug 36055

Summary: Simplify MARC21 Fast Add framework
Product: Koha Reporter: Caroline Cyr La Rose <caroline.cyr-la-rose>
Component: MARC Bibliographic data supportAssignee: Caroline Cyr La Rose <caroline.cyr-la-rose>
Status: Signed Off --- QA Contact: Testopia <testopia>
Severity: enhancement    
Priority: P5 - low CC: david, esther.melander, kebliss, koha, lucas, philippe.blouin
Version: unspecified   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: ---
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
Attachments: Bug 36055: Simplify MARC21 Fast Add framework
Bug 36055: Simplify MARC21 Fast Add framework
Bug 36055: Simplify MARC21 Fast Add framework

Description Caroline Cyr La Rose 2024-02-08 21:47:00 UTC
I was looking at the Fast Add framework and noticed there were a lot of unnecessary field, notably $6 and $8 and obsolete fields, which can be confusing (imo) for circulation staff/non-catalogers who would be doing the fast adding.
Comment 1 Caroline Cyr La Rose 2024-02-09 22:18:48 UTC
Created attachment 161996 [details] [review]
Bug 36055: Simplify MARC21 Fast Add framework

This patch removes or hides a lot of unecessary fields from the
MARC21 Fast Add framework, notably subfields $6 and $8 which are
used only in advanced cataloging. Fast Add is meant to add an item
fast, while the patron is waiting, in order to check it out to them.
There is no need to enter details, only what is necessary to
identify and check out the item.

To test:
1. Go to Circulation > Fast cataloging
   --> Notice all the fields present
2. Fill out mandatory fields (000, 008, 245$a, 942$c)
3. Click 'Save'
   --> Notice all the item fields present
4. Apply patch and reset
5. Redo steps 1-3
   --> There should be a lot less fields
Comment 2 Caroline Cyr La Rose 2024-02-09 22:21:50 UTC
Here is the list of changes related to the actual FA framework. I only have the 952 left to explain, but it's friday past 5pm... Figured I'd attach something at least.

Feel free to object to my changes. :)

Explanation of changes

Fields were hidden in accordance to an old screenshot from the manual
https://koha-community.org/manual/23.05/en/html/_images/fastadd.png
as well as common sense

- 010$8	hidden		this field is used in advanced cataloguing to
			code a link to another field, it is hidden in
			the default framework
			
- 010$a	hidden		this field is used to catalog the control
			number of the record as assigned by the Library
			of Congress, it is unlikely that circulation
			staff will have	that information on hand
			
- 010$b	hidden		this field is used to catalog the control
			number of the record  as found in National
			Union Catalog of Manuscript Collections
			(NUCMC), assigned by the Library of Congress,
			it is unlikely that circulation staff will have
			that information on hand

- 010$z	hidden		this field is used to store an invalid or
			cancelled LC control number, it is unlikely
			that circulation staff will have that
			information on hand

- 020$6	hidden		this field is used in advanced cataloging to
			code a link to another field, it is hidden in
			the default framework

- 020$8	hidden		this field is used in advanced cataloging to
			code a link to another field, it is hidden in
			the default framework

- 020$c	collapsed	this field generally contains the price of the
			item, while the price is useful to know, it can
			be added in 952$g or 952$v which are more
			suited to circulation in the context of Koha

- 020$q	collapsed	this field is used to add information about the
			item whose ISBN is in $a

- 020$z	hidden		this field is used to store an invalid ISBN,
			it is unlikely that circulation staff will have
			that information on hand

- 022$2	hidden		this field is used to enter which organization
			assigned the ISSN in $a, it is unlikely that
			circulation staff will have that information on
			hand

- 022$a	collapsed	this field can be expanded if the item is a
			serial

- 022$y	hidden		this field is used to store an invalid ISSN,
			it is unlikely that circulation staff will have
			that information on hand

- 022$z	hidden		this field is used to store a cancelled ISSN,
			it is unlikely that circulation staff will have
			that information on hand

- 050$a	collapsed	this field can be expanded if the library uses
			LC call numbers, although item call numbers can
			be stored in 952$o for circulation purposes

- 050$b	collapsed	this field can be expanded if the library uses
			LC call numbers, although item call numbers can
			be stored in 952$o for circulation purposes

- 082$2	hidden		this field is used to store the number of the
			edition of the Dewey Decimal Classification
			used to assign the number in $a, it is unlikely
			that circulation staff will have that
			information on hand

- 082$6	hidden		this field is used in advanced cataloging to
			code a link to another field, it is hidden in
			the default framework

- 082$8	hidden		this field is used in advanced cataloging to
			code a link to another field, it is hidden in
			the default framework

- 082$a	collapsed	this field can be expanded if the library uses
			Dewey call numbers, although item call numbers
			can be stored in 952$o for circulation purposes

- 082$b	collapsed	this field can be expanded if the library uses
			Dewey call numbers, although item call numbers
			can be stored in 952$o for circulation purposes

- 100$6	hidden		this field is used in advanced cataloging to
			code a link to another field, it is hidden in
			the default framework

- 100$8	hidden		this field is used in advanced cataloging to
			code a link to another field, it is hidden in
			the default framework

- 100$9	collapsed	this field is used to store Koha's authority
			number for the name in $a, it is collapsed in the
			default framework

- 100$b	collapsed	this field is used for names with numbers (e.g.
			for royalty or popes), it is collapsed in the
			default	framework

- 100$c	collapsed	this field is used for names with titles (e.g.
			for nobility), it is collapsed in the
			default framework

- 100$d	collapsed	this field is used for dates (of birth/death)
			of the person in $a

- 100$e	collapsed	this field is used for the function of the
			person in $a related to the work described

- 100$f	hidden		this field is used for dates of publication of
			the title in $t, it is hidden in the default
			framework

- 100$g	hidden		this field is used to enter various information
			about the person in $a, it is hidden in	the
			default framework

- 100$j	hidden		this field is used to qualify the name in $a,
			it is hidden in	the default framework

- 100$k	hidden		this field is used to qualify the title in $t,
			it is hidden in	the default framework

- 100$l	hidden		this field is used for languages of the name
			in $a or the title in $t, it is hidden in the
			default framework

- 100$n	hidden		this field is used for the number of the part
			of the title in $t, it is hidden in the default
			framework

- 100$p	hidden		this field is used for the name of the part of
			the title in $t, it is hidden in the default
			framework

- 100$q	collapsed	this field is used to store the full name of the
			person in $a

- 100$t	hidden		this field is used for the title of the work
			associated to the name in $a, it is hidden in
			the default framework

- 100$u	hidden		this field is used for the affiliation of the
			person in $a, it is hidden in the default
			framework

- 245$h	(collapsed)	this field is used for the type of medium			

- 245$n (collapsed)	this field is used for the number of the part
			of the title

- 245$p	(collapsed)	this field is used for the name of the part of
			the title

- 250$6	hidden		this field is used in advanced cataloging to
			code a link to another field, it is hidden in
			the default framework

- 250$8	hidden		this field is used in advanced cataloging to
			code a link to another field, it is hidden in
			the default framework

- 250$a	collapsed	this field is used for the edition of the work

- 250$b	collapsed	this field is used for the edition of the work

- 260$6	hidden		this field is used in advanced cataloging to
			code a link to another field, it is hidden in
			the default framework

- 260$8	hidden		this field is used in advanced cataloging to
			code a link to another field, it is hidden in
			the default framework

- 260$a	collapsed	this field is used for the place of publication

- 260$b	collapsed	this field is used for the publisher's name

- 260$c	collapsed	this field is used for the publication year

- 260$d	hidden		this field is obsolete in MARC21 since 1981, it
			is hidden in the default framework

- 260$e	hidden		this field is used for the place of manufacture,
			it is hidden in	the default framework

- 260$f	hidden		this field is used for the manufacturer's name,
			it is hidden in	the default framework

- 260$g	hidden		this field is used for the manufacture year, it
			is hidden in the default framework

- 260$k	hidden		this field is obsolete in MARC21 since 1988, it
			is hidden in the default framework

- 260$l	hidden		this field is obsolete in MARC21 since 1988, it
			is hidden in the default framework

- 300$a	collapsed	this field is used for the number of pages,
			volumes or units

- 300$b	collapsed	this field is used for other physical details

- 300$c	collapsed	this field is used for the size of the item

- 300$e	collapsed	this field is used for accompanying materials,
			while the accompanying material is useful to
			know, it can be added in 952$3 which is more
			suited to circulation in the context of Koha

- 300$f	collapsed	this field is used to qualify the type of units
			in $a

- 300$g	collapsed	this field is used for the size of the unit in
			$f

- 500$3	hidden		this field is used to specify to which exact
			item the note is for, it is hidden in the
			default framework

- 500$5	hidden		this field is used to specify to which
			institution's item the note is for, it is hidden
			in the default framework

- 500$6	hidden		this field is used in advanced cataloging to
			code a link to another field, it is hidden in
			the default framework

- 500$8	hidden		this field is used in advanced cataloging to
			code a link to another field, it is hidden in
			the default framework

- 500$a	collapsed	this field is used to write a note about the
			work

- 500$l	hidden		this field is obsolete in MARC21 since 1990, it
			is hidden in the default framework

- 500$n	hidden		this field doesn't existe, it is hidden in the
			default framework

- 500$x	hidden		this field is obsolete in MARC21 since 1990, it
			is hidden in the default framework

- 500$z	hidden		this field is obsolete in MARC21 since 1990, it
			is hidden in the default framework

- 942$c	added		it was required but hidden in the original FA
			framework

- 942$e	collapsed	

- 942$h	collapsed

- 942$i	collapsed

- 942$k	collapsed

- 942$m	collapsed

- 942$n	added		added in case staff would want to hide incomplete
			records
Comment 3 Esther Melander 2024-02-12 18:48:29 UTC
I applied the patch on my Sandbox, which is at 23.12.00, and none of the changes listed above were applied.
Comment 4 Caroline Cyr La Rose 2024-02-12 19:03:48 UTC
(In reply to Esther Melander from comment #3)
> I applied the patch on my Sandbox, which is at 23.12.00, and none of the
> changes listed above were applied.

Did you reset all? Not sure how this is done on a sandbox. Reset database or restart?

It will not change anything on existing installations, as it is an installer file.
Comment 5 Esther Melander 2024-02-12 20:44:24 UTC
Yes, I had it install the patch when the Sandbox was created.
Comment 6 David Nind 2024-02-12 21:47:06 UTC
Created attachment 162068 [details] [review]
Bug 36055: Simplify MARC21 Fast Add framework

This patch removes or hides a lot of unecessary fields from the
MARC21 Fast Add framework, notably subfields $6 and $8 which are
used only in advanced cataloging. Fast Add is meant to add an item
fast, while the patron is waiting, in order to check it out to them.
There is no need to enter details, only what is necessary to
identify and check out the item.

To test:
1. Go to Circulation > Fast cataloging
   --> Notice all the fields present
2. Fill out mandatory fields (000, 008, 245$a, 942$c)
3. Click 'Save'
   --> Notice all the item fields present
4. Apply patch and reset
5. Redo steps 1-3
   --> There should be a lot less fields

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 David Nind 2024-02-12 21:48:49 UTC
Makes sense to me!

Testing notes (using KTD):

1. Apply the patch.
2. Reset everything so it is like a new install: reset_all
Comment 8 ByWater Sandboxes 2024-02-13 18:27:18 UTC
Created attachment 162124 [details] [review]
Bug 36055: Simplify MARC21 Fast Add framework

This patch removes or hides a lot of unecessary fields from the
MARC21 Fast Add framework, notably subfields $6 and $8 which are
used only in advanced cataloging. Fast Add is meant to add an item
fast, while the patron is waiting, in order to check it out to them.
There is no need to enter details, only what is necessary to
identify and check out the item.

To test:
1. Go to Circulation > Fast cataloging
   --> Notice all the fields present
2. Fill out mandatory fields (000, 008, 245$a, 942$c)
3. Click 'Save'
   --> Notice all the item fields present
4. Apply patch and reset
5. Redo steps 1-3
   --> There should be a lot less fields

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Esther <esther@bywatersolutions.com>